Bug 479559 - httpd often fails to start on boot
httpd often fails to start on boot
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-11 05:25 EST by Robert Greimel
Modified: 2009-12-03 11:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 11:38:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot.log of a failed start (2.78 KB, text/plain)
2009-01-11 05:25 EST, Robert Greimel
no flags Details
output of hack to /etc/sysconfig/httpd (2.14 KB, text/plain)
2009-09-14 08:08 EDT, Robert Greimel
no flags Details

  None (edit)
Description Robert Greimel 2009-01-11 05:25:36 EST
Created attachment 328655 [details]
boot.log of a failed start

Description of problem:
When booting the laptop httpd sometimes starts but often does not

Version-Release number of selected component (if applicable):
2.2.10-2

How reproducible:
sometimes

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:
httpd not running

Expected results:
httpd running

Additional info:
I have httpd set up on localhost (127.0.0.1:80) and enabled in services. When booting the laptop httpd often fails to start with the following error in boot.log:

 Starting httpd: [Sun Jan 11 10:23:47 2009] [crit] (EAI 9)Address family for hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf:
Listen setup failed
                                                           [FAILED]

Line 134 in httpd.conf is
Listen 127.0.0.1:80

Starting httpd afterwards by hand without any change to the httpd configuration files works.
Comment 1 Joe Orton 2009-02-05 12:09:09 EST
This sounds like a resolver configuration problem.

Are you using NetworkManager?  Please attach the files:

/etc/nsswitch.conf
/etc/hosts
/etc/resolv.conf

at a point in time when httpd will not start.  (e.g. try disabling the NetworkManager service)
Comment 2 Joe Orton 2009-09-07 09:25:24 EDT
Can you still reproduce this?

You could add a hack to /etc/sysconfig/httpd to do:

(date;
 for f in nsswitch.conf hosts resolv.conf; do
  echo /etc/$f; cat /etc/$f;
 done) > /tmp/status

to see what the state of the resolver is at startup.
Comment 3 Robert Greimel 2009-09-14 08:08:06 EDT
Created attachment 360923 [details]
output of hack to /etc/sysconfig/httpd

This is a laptop and I am using NetworkManager.

Since some time the following information appears in boot.log:

Starting httpd: [Mon Sep 14 15:39:25 2009] [crit] (EAI 9)Address family for hostname not supported: alloc_listener: failed to set up sockaddr for 127.0.0.1
Syntax error on line 134 of /etc/httpd/conf/httpd.conf:
Listen setup failed
                                                           [FAILED]

line 134 in httpd.conf is:
Listen 127.0.0.1:80

Once I am logged on "service httpd start" will start the server without a problem. The only difference in the network files is that a name resolver is listed in resolv.conf at that point.
Comment 4 Bug Zapper 2009-11-18 05:43:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joe Orton 2009-12-03 11:38:02 EST
I recommend you add

  NETWORKWAIT=1

to /etc/sysconfig/network if you are both using NetworkManager and have configured httpd to start at boot.  That should avoid this type of issue.

Note You need to log in before you can comment on or make changes to this bug.